"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isAUID = exports.generateAUID = void 0;
const crypto_1 = require("crypto");
/**
 * Generates a crytografically strong AUID
 *
 * With `(2 ^ 4) ^ (16*4)` or `2 ^ 256` or `1.1579209e+77` possible combinations
 */
function generateAUID() {
    return [...Array(4)].map(() => (0, crypto_1.randomBytes)(8).toString('hex') // Generates 16 hex characters (8 bytes * 2 hex chars per byte)
    ).join('-');
}
exports.generateAUID = generateAUID;
;
/**
 * Fullproof regex for AUIDs
 */
exports.isAUID = new RegExp(/^[a-f0-9]{16}-[a-f0-9]{16}-[a-f0-9]{16}-[a-f0-9]{16}$/);
